<script>{
	"title": "jQuery Foundation Code of Conduct - Enforcement Manual",
	"pageTemplate": "page-conduct.php"
}</script>

This is the enforcement manual followed by jQuery Foundation's Code of Conduct Committee. It's used when we respond to an issue to make sure we're consistent and fair. It should be considered an internal document, but we're publishing it publicly in the interest of transparency.

### The Code of Conduct Committee

All responses to reports of conduct violations will be managed by a [Code of Conduct Committee](/conduct/committee/) ("the committee").

The jQuery Foundation's Board of Directors ("the board") will establish this committee, comprised of at least three members. One member will be designated chair of the committee and will be responsible for all reports back to the board. The board will review membership on a regular basis.

### How the Committee Will Respond to Reports

When a report is sent to the committee they will immediately reply to the report to confirm receipt. This reply must be sent within 24 hours, and the committee should strive to respond more quickly than that.

See the [reporting guidelines](/conduct/reporting/) for details of what reports should contain. If a report doesn't contain enough information, the committee will obtain all relevant data before acting. The committee is empowered to act on the jQuery Foundation's behalf in contacting any individuals involved to get a more complete account of events.

The committee will then review the incident and determine, to the best of their ability:

*   What happened.
*   Whether this event constitutes a Code of Conduct violation.
*   Who, if anyone, was the bad actor.
*   Whether this is an ongoing situation, and if there is a threat to anyone's physical safety.

This information will be collected in writing, and whenever possible the committee's deliberations will be recorded and retained (e.g. IRC transcripts, email discussions, or recorded voice conversations).

The committee should aim to have a resolution agreed upon within one week. In the event that a resolution can't be determined in that time, the committee will respond to the reporter(s) with an update and projected timeline for resolution.

### Acting Unilaterally

If the act is ongoing (such as someone engaging in harassment in #jquery), or involves a threat to anyone's safety (e.g. threats of violence), any committee member or moderator may act immediately (before reaching consensus) to end the situation. In ongoing situations, any moderator may at their discretion employ any of the tools available to the committee, including bans and blocks.

If the incident involves physical danger, any member of the committee may -- and should -- act unilaterally to protect safety. This can include contacting law enforcement (or other local personnel) and speaking on behalf of the jQuery Foundation.

In situations where an individual committee member acts unilaterally, they must report their actions to the committee for review within 24 hours.

### Resolutions

The committee must agree on a resolution by consensus. If the committee cannot reach consensus and deadlocks for over a week, the committee will turn the matter over to the board for resolution.

Possible responses may include:

*   Taking no further action (if we determine no violation occurred).
*   A private reprimand from the committee to the individual(s) involved. In this case, the committee chair will deliver that reprimand to the individual(s) over email, cc'ing the committee.
*   A public reprimand. In this case, the committee chair will deliver that reprimand in the same venue that the violation occurred (e.g. in IRC for an IRC violation; email for an email violation). The committee may choose to publish this message elsewhere for posterity.
*   An imposed vacation (e.g. asking someone to "take a week off" from a mailing list or IRC). The committee chair will communicate this "vacation" to the individual(s). They'll be asked to take this vacation voluntarily, but if they don't agree then a temporary ban may be imposed to enforce this vacation.
*   A permanent or temporary ban from some or all jQuery Foundation spaces (including mailing lists and IRC). The committee will maintain records of all such bans so that they may be reviewed in the future, extended to new jQuery Foundation fora, or otherwise maintained.
*   A request for a public or private apology. The chair will deliver this request. The committee may, if it chooses, attach "strings" to this request: for example, the committee may ask a violator to apologize in order to retain his or her membership on a mailing list.

Once a resolution is agreed upon, but before it is enacted, the committee will contact the original reporter and any other affected parties and explain the proposed resolution. The committee will ask if this resolution is acceptable, and must note feedback for the record. However, the committee is not required to act on this feedback.

Finally the committee will make a report for the jQuery Foundation Board (as well as the project teams in the event of an ongoing resolution, such as a ban).

The committee will never publicly discuss the issue; all public statements will be made by the jQuery Foundation Board.

### Conflicts of Interest

In the event of any conflict of interest a committee member must immediately notify the other members, and recuse themselves if necessary.
